Auteur Sujet: [réglé] Problème avec ssh dû à une update bourrin de OpenSSL  (Lu 8309 fois)

0 Membres et 1 Invité sur ce sujet

Hors ligne arnaud
  • Contributeur de Kali-linux.fr
  • Membre Régulier
  • *****
  • Messages: 65
  • +6/-2
Bonjour à tous,

Suite à tout le tapage qu'il y a eu sur le net avec Heartbleed, j'ai eu l'excellente idée de passer à la version corriger de openSSL... J'aurais pas du!

En voulant lancer ssh, voici le résultat :

>service ssh start
[....] Starting OpenBSD Secure Shell server: sshdOpenSSL version mismatch. Built against 1000105f, you have 10001080
 failed!

C'est naturellement la première fois que je tombe sur un problème comme ca.

J'ai trouvé le lien suivant, mais il ne semble pas qu'une solution ait été proposée ...  https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=732966

Je souhaiterais ne pas downgrader pour 2 raisons :

-Je ne me souviens plus de la version originale
-Et C'est dommage de revenir à une faille ^^

Quelqu'un aurait-il une idée?

Merci d'avance! :)
« Modifié: 25 mai 2014 à 07:20:22 par admin »

Hors ligne coyotus

  • Contributeur de Kali-linux.fr
  • Membre Elite
  • *****
  • Messages: 3781
  • +270/-30
  • IN GNU WE TRUST
    • Groupe d'Utilisateurs de GNU/Linux...
Re : Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #1 le: 22 mai 2014 à 06:07:43 »
Tu est passé comment à la new version, normalement une simple mise à jour suffisait.

Hors ligne arnaud
  • Contributeur de Kali-linux.fr
  • Membre Régulier
  • *****
  • Messages: 65
  • +6/-2
Re : Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #2 le: 22 mai 2014 à 09:42:51 »
Pour que tu aies la liste de mes opérations :

-J'ai commencé par un simple apt-get upgrade openssl

-Sauf que comme je l'avais lu quelque part (et aussi constaté moi meme a cette Adresse http://security.kali.org/pool/main/o/openssl/), les Depots de Kali Linux ne contiennent pas la 1.0.1g

-Du coup, compilation via le site openssl.org

A ce Moment là, j'ai posté sur le Forum.

Sauf que pour soigner un travail de bourrin, que faut-il?

UN TRAVAIL DE SUPER BOURRIN  ;D

J'ai donc décidé de  faire un Petit apt-get remove openssl, suivi d'un Petit apt-get install openssl, me disant que ca pourrait quand meme résoudre le pb...

Bah non ^^

Du coup, si tu as une idée, Coyotus, Ô mon super héros ^^

Hors ligne coyotus

  • Contributeur de Kali-linux.fr
  • Membre Elite
  • *****
  • Messages: 3781
  • +270/-30
  • IN GNU WE TRUST
    • Groupe d'Utilisateurs de GNU/Linux...
Re : Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #3 le: 22 mai 2014 à 18:46:17 »
Ben déjà le apt-get remove je ferais plutôt un purge et chez moi openssl à bien été mis à jours depuis les dépôts.

Ensuite si tu as compilé, fait un make uninstall

Hors ligne arnaud
  • Contributeur de Kali-linux.fr
  • Membre Régulier
  • *****
  • Messages: 65
  • +6/-2
Re : Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #4 le: 23 mai 2014 à 10:12:46 »
Ok, j'essaye ca ce soir, merci :)

Hors ligne arnaud
  • Contributeur de Kali-linux.fr
  • Membre Régulier
  • *****
  • Messages: 65
  • +6/-2
Re : Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #5 le: 24 mai 2014 à 13:49:38 »
Non, et non,

aucun des deux n'a marché ; sinon c'est pas drole :D

C'est un peu embetant, ca, parce mon Linux mint sur l'autre PC ne démarre plus non plus, a cause de ce meme problème ...

Hors ligne coyotus

  • Contributeur de Kali-linux.fr
  • Membre Elite
  • *****
  • Messages: 3781
  • +270/-30
  • IN GNU WE TRUST
    • Groupe d'Utilisateurs de GNU/Linux...
Re : Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #6 le: 24 mai 2014 à 15:51:53 »
bizarre, alors je n'ai pas de soluce, désolé, chez moi tout tourne rond.

Hors ligne arnaud
  • Contributeur de Kali-linux.fr
  • Membre Régulier
  • *****
  • Messages: 65
  • +6/-2
Re : Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #7 le: 24 mai 2014 à 20:14:14 »
Ca m'apprendre à être une grosse brute...

D'un coté, comme je m'y attendais, j'ai anticipé en réinstallant.

J'ai réinstallé Kali Linux sur celui où il y avait Kali Linux, et à la place de Linux Mint, j'ai installé Handy Linux.

D'ailleurs, je ne te félicite pas, c'est tellement simplifié que je galère :D

Non, plus sérieusement, c'est un peu trop simplifié à mon gout... Mais après avoir passé une journée à essayer d'installer Gentoo, j'ai laissé tomber ^^

Merci pour ton aide en tout cas !

Hors ligne coyotus

  • Contributeur de Kali-linux.fr
  • Membre Elite
  • *****
  • Messages: 3781
  • +270/-30
  • IN GNU WE TRUST
    • Groupe d'Utilisateurs de GNU/Linux...
Re : Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #8 le: 24 mai 2014 à 22:38:34 »
Gentoo est une très bonne distribution, mais il faut être à l'aise avec la compilation et le manuel, de plus l'usage d'openrc peut être déroutant pour le novice.

Est-ce que la ré-install à résolu ton problème ?

Hors ligne arnaud
  • Contributeur de Kali-linux.fr
  • Membre Régulier
  • *****
  • Messages: 65
  • +6/-2
Re : [réglé] Problème avec ssh dû à une update bourrin de OpenSSL
« Réponse #9 le: 26 mai 2014 à 09:37:47 »
En Effet, et je ne suis pas trop ``a l'aise Avec, je crois que ce Sujet le prouve :D

Oui, la reinstall a "resolu" mon pb, je suis maintenant à nouveau en 1.0.1e ... Mais je n'ai pas encore tenté une solution propre, donc je te tiens au courant :)

Merci pour ton Aide!